import React from 'react';
import { Button, Table ,Select, Input, DatePicker, Space } from 'antd';
import 'moment/locale/zh-cn';
import locale from 'antd/es/date-picker/locale/zh_CN';
import { $Axios } from '../../common/publish';
import '../Refund-inquiry/Refund-inquiry.scss'
const { Column, ColumnGroup } = Table;
export default class RefundInquiry extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            headTxt : '财务管理 > 退款查询',
            data : [
                {
                  key: '1',
                  name: 'John Brown',
                  age: 32,
                  address: 'New York No. 1 Lake Park',
                },
                {
                  key: '2',
                  name: 'Jim Green',
                  age: 42,
                  address: 'London No. 1 Lake Park',
                },
                {
                  key: '3',
                  name: 'Joe Black',
                  age: 32,
                  address: 'Sidney No. 1 Lake Park',
                },
              ],
              columns : [
                {
                    title: '序号',
                    dataIndex: 'name',
                    key: 'name',
                    
                },
                {
                    title: '签约名称',
                    dataIndex: 'age',
                    key: 'age',
                },
                {
                    title: '商户简称',
                    dataIndex: 'age',
                    key: 'age',
                },
                {
                    title: '入网时间',
                    dataIndex: 'age',
                    key: 'age',
                },
                {
                    title: '操作',
                    dataIndex: 'age',
                    key: 'age',
                    render: text => <a>查看详情</a>,
                },
            ],
            certificate : [
                { txt : '统一社会信用代码证',value : 1 },
                { txt : '民办非企业单位登记证书',value : 2 },
                { txt : '个体工商户营业执照',value : 3 },
                { txt : '社会团体法人登记证书',value : 4 },
                { txt : '事业单位法人证书',value : 5 },
                { txt : '基金法人登记证书',value : 6 },
                { txt : '营业执照',value : 7 },
                { txt : '其他',value : 8 },
            ]
        }
        
    }
	
	componentDidMount() {
        
    }

    onChange(date, dateString){
        console.log(date, dateString);
    }
        // let params = {
        //     token : localStorage.getItem('token'),
        //     config_code : 'titleList',
        //     system_code : "COMBINE",
        // }
        // $Axios('post','http://user_api.airqualitychina.cn:7070/auth/getConfigList',params,(res) => {
        //     let titleLists = []
        //     let result = res.data.result[0].config_value.split(',');
        //     for(let i = 0 ; i < result.length; i++){
        //         for(let k = 0; k < titleList.menuList.length; k ++){
        //             if(result[i] == titleList.menuList[0][k].id){
        //                 titleLists.push(titleList.menuList[0][k])
        //             }
        //         }
        //         if( i == result.length - 1){
        //             this.setState({
        //                 menuList : titleLists,
        //             })
        //         }
        //     }
           
        // })


    render() {
        const { data , columns , headTxt, certificate } = this.state;
        const { Option } = Select;
        return(
            <div className='wrap_table'>
                <div className='header_center'>
                   { headTxt }
               </div>
               <div className='query_table'>
                   <div className='top_div'>
                        <div style={{display : 'inline-block',}}> 退款状态 ： </div>
                        <Select size='default' placeholder="请选择"  onChange={ this.handleChange } style={{ width: 200,marginRight : '20px' }}>
                            <Option key={1} value={1}>成功</Option>
                            <Option key={2} value={2}>失败</Option>
                            <Option key={3} value={3}>处理中</Option>
                            <Option key={4} value={4}>取消</Option>
                        </Select>
                        <div style={{display : 'inline-block',}}> 订单类型 ： </div>
                        <Select size='default' placeholder="请选择"  onChange={ this.handleChange } style={{ width: 200,marginRight:'20px' }}>
                            <Option key={1} value={1}>网购</Option>
                            <Option key={2} value={2}>线下消费</Option>
                        </Select>
                        <Select size='default' placeholder="订单号选择"  onChange={ this.handleChange } style={{ width: 200 }}>
                        <Option key={1} value={1}>商户订单号</Option>
                            <Option key={2} value={2}>退款请求号</Option>
                        </Select>
                        <div style={{width:'200px',display:'inline-block',marginLeft : '20px'}}><Input placeholder="请输入订单号" /></div>
                   </div>
                   <div className='btm_div'>
                        <div style={{display : 'inline-block',}}> 发起人 ： </div>
                        <div style={{width:'200px',display:'inline-block',marginLeft : '20px',marginRight:'20px'}}><Input placeholder="请输入用户名" /></div>
                        <div style={{display : 'inline-block',}}> 支付方式 ： </div>
                        <Select size='default' placeholder="请选择"  onChange={ this.handleChange } style={{ width: 200,marginRight:'20px' }}>
                            {certificate.map((item,index) => (
                                <Option key={index} value={item.value}>{item.txt}</Option>
                            ))}
                        </Select>
                        <Select size='default' placeholder="请选择时间类型"  onChange={ this.handleChange } style={{ width: 200,marginRight:'20px' }}>
                            <Option key={1} value={1}>退款请求时间</Option>
                            <Option key={2} value={2}>退款完成时间</Option>
                        </Select>
                        <Space direction="vertical">
                            <DatePicker onChange={this.onChange} locale={locale}/>
                        </Space>
                        <div style={{display : 'inline-block',margin:'0px 10px',color:'#d9d9d9'}}>-</div>
                        <Space direction="vertical">
                            <DatePicker onChange={this.onChange} locale={locale}/>
                        </Space>
                   </div>
               </div>
               <div className='tables'>
                    <Table columns={columns} dataSource={data} />
               </div>
            </div>
        )
    }
}