import React from 'react';
import { Radio, Select, Input, Upload, Button } from 'antd';
import { UploadOutlined } from '@ant-design/icons';
// import { $Axios } from '../../common/publish';
import '../center-w/centerW.scss'

export default class centerW extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            contract : [
                // { txt : '请选择商户签约性质', value : 0 },
                { txt : '个体工商户',value : 1 },
                { txt : '事业单位',value : 2 },
                { txt : '民办非企业组织',value : 3 },
                { txt : '社会团体',value : 4 },
                { txt : '非法人企业',value : 5 },
                { txt : '自然人',value : 6 },
                { txt : '政府机关',value : 7 },
                { txt : '其他',value : 8 },
            ],
            certificate : [
                { txt : '统一社会信用代码证',value : 1 },
                { txt : '民办非企业单位登记证书',value : 2 },
                { txt : '个体工商户营业执照',value : 3 },
                { txt : '社会团体法人登记证书',value : 4 },
                { txt : '事业单位法人证书',value : 5 },
                { txt : '基金法人登记证书',value : 6 },
                { txt : '营业执照',value : 7 },
                { txt : '其他',value : 8 },
            ],
            fileList : [[],[],[],[],[],[],[],[],[],[],[],[]],
            headerProps : {
                action: '',
                multiple: false,
            },
            imgType : null,
            rightArray : [ 
                { txt : '营业执照照片路径',value : 0 , type:'.jpg, .jpeg, .png, .pdf'},  
                { txt : '开户许可证招聘路径',value : 1 , type:'.jpg, .jpeg, .png, .pdf'},  
                { txt : '法人证件人面像路径',value : 2 , type:'.jpg, .jpeg, .png, .pdf'},  
                { txt : '法人证件国徽面路径',value : 3 , type:'.jpg, .jpeg, .png, .pdf'},  
                { txt : '确认入网意愿视频路径',value : 4 , type:'.AVI, .mov, .rmvb, .rm, .FLV, .mp4, .3gp'},  
                { txt : '法人手持证件影印件路径',value : 5 , type:'.jpg, .jpeg, .png, .pdf'},  
                { txt : '商户网址截图影印件路径',value : 6 , type:'.jpg, .jpeg, .png, .pdf'},  
                { txt : '公众号/小程序/生活号影印件路径',value : 7 , type:'.jpg, .jpeg, .png, .pdf'},  
                { txt : 'APP首页截图影印件路径',value : 8 , type:'.jpg, .jpeg, .png, .pdf'},  
                { txt : '法人银行卡图影印件路径',value : 9 , type:'.jpg, .jpeg, .png, .pdf'},  
                { txt : '确认入网意愿其他方式验证路径',value : 10 , type:'.jpg, .jpeg, .png, .pdf'},  
                { txt : '其他资质文件路径',value : 11 , type:'.jpg, .jpeg, .png, .pdf'},  
            ]
        }
        
    }
	
	componentDidMount() {
        
    }
    
    selectChange(value) {
        console.log(`Selected: ${value}`);
    }
    handleChange = info => {
        let fileList = [...info.fileList];
        let imgType = this.state.imgType;
        fileList[0].status = 'done'  //上传成功之后的状态 自动修改
        fileList[0].response = fileList[0].name  //图片上传成功之后展示的TIP
        let arr = this.state.fileList;
        arr[imgType] = fileList
        this.setState({ arr });
    };
    btnClick(e){  //区分上传图片类型
        this.setState({	
            imgType : e
        })
    }


    render() {
        const { contract, certificate, headerProps, fileList , rightArray  } = this.state;
        const { Option } = Select;
        
        return(
            <div className='center_up'>
                <div className='center_left'>
                    <div className='c-l'>
                        <div className='titles'> 法人姓名 ： </div>
                        <div className='inputs'><Input placeholder="请输入法人姓名" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 法人职业 ： </div>
                        <Select size='default' placeholder="请选择法人职业"  onChange={ this.selectChange } style={{ width: 200 }}>
                                            {contract.map((item,index) => (
                                                <Option key={index} value={item.value}>{item.txt}</Option>
                                            ))}
                                        </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 法人证件类型 ： </div>
                        <Select size='default' placeholder="请选择证件类型"  onChange={ this.selectChange } style={{ width: 200 }}>
                                            {certificate.map((item,index) => (
                                                <Option key={index} value={item.value}>{item.txt}</Option>
                                            ))}
                                        </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 法人证件号码 ： </div>
                        <div className='inputs'><Input placeholder="请输入证件号码" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 企业证件类型 ： </div>
                        <Select size='default' placeholder="请选择证件类型"  onChange={ this.selectChange } style={{ width: 200 }}>
                                            {contract.map((item,index) => (
                                                <Option key={index} value={item.value}>{item.txt}</Option>
                                            ))}
                                        </Select>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 资质证书编号 ： </div>
                        <div className='inputs'><Input placeholder="请输入证书编号" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 营业面积 ： </div>
                        <div className='inputs'><Input placeholder="A 500平以上" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 公司员工规模 ： </div>
                        <div className='inputs'><Input placeholder="A 100人以上" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 交易场景说明 ： </div>
                        <Radio.Group name="radiogroup" defaultValue={1}>
                                            <Radio value={1}>网站</Radio>
                                            <Radio value={1}>APP</Radio>
                                            <Radio value={1}>公众号</Radio>
                                        </Radio.Group>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 网站网址 ： </div>
                        <div className='inputs'><Input placeholder="请输入网站网址" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 网站名称 ： </div>
                        <div className='inputs'><Input placeholder="请输入网站名称" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> ICP备案号 ： </div>
                        <div className='inputs'><Input placeholder="请输入ICP备案号" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> APP名称 ： </div>
                        <div className='inputs'><Input placeholder="请输入APP名称" /></div>
                    </div>
                    <div className='c-l'>
                        <div className='titles'> 公众号/小程序/生活号 ： </div>
                        <div className='inputs'><Input placeholder="请输入名称" /></div>
                    </div>
                </div>
                <div className='center_right'>
                    {rightArray.map((item,index) => (
                         <div className='c-l' key = {index}>
                         <div className='titles'> {item.txt} ： </div>
                         <div className='Upload_wrap'>
                             <Upload 
                                 className='Upload'
                                 {...headerProps} 
                                 fileList={this.state.fileList[item.value]} 
                                 accept={item.type} 
                                 maxCount={1}
                                 onChange = {this.handleChange}
                                 >
                                 <Button icon={<UploadOutlined />} onClick={() =>this.btnClick(index)}>选择文件</Button>
                             </Upload>
                             {fileList[index].length === 0 && <div className='title_tips'>格式限制为{item.type},最大不超过50M</div>}
                         </div>
                     </div>
                    ))}
                </div>
            </div>
        )
    }
}